Bug 221074 - Anaconda Exception installing FC6 on pre-existing LVM partition with non-default name
Anaconda Exception installing FC6 on pre-existing LVM partition with non-defa...
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
Depends On:
  Show dependency treegraph
Reported: 2006-12-31 23:34 EST by Jeffrey C Honig
Modified: 2008-05-06 13:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 13:16:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Traceback from Anaconda exception (97.18 KB, text/plain)
2006-12-31 23:34 EST, Jeffrey C Honig
no flags Details

  None (edit)
Description Jeffrey C Honig 2006-12-31 23:34:19 EST
Description of problem: 

Upgrading FC4 server to FC6.  FC4 boots from IDE drive.  Trying to install FC6 
on an LVM partition on a pair of SATA drives.  When anaconda tries to mount the 
filesystems to do the install it gets an exception.

Version-Release number of selected component (if applicable): 

How reproducible:

Select custom disk layout, specify /boot on sda1, / on existing vgraid2-root2-1.

Steps to Reproduce:
1. Boot FC6 DVD
2. Specify load Static IP/iSCSI update from local web server
3. Specify custom disk layout
4. Specify Office, Web Server, SW development package groups
5. Default other values
Actual results:

Anaconda exception

Expected results:

Successful install

Additional info:

Begining of Traceback, full traceback attached:

Traceback (most recent call first):
  File "/usr/lib/anaconda/iutil.py", line 170, in copyDeviceNode
    filestat = os.lstat(src)
  File "/usr/lib/anaconda/fsset.py", line 1797, in makeLVMNodes
    iutil.copyDeviceNode(dmdev, instPath + dmdev)
  File "/usr/lib/anaconda/fsset.py", line 1756, in mountFilesystems
  File "/usr/lib/anaconda/packages.py", line 145, in turnOnFilesystems
    anaconda.id.fsset.mountFilesystems (anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 199, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 122, in gotoNext
  File "/usr/lib/anaconda/gui.py", line 923, in nextClicked
  File "/usr/lib/anaconda/iw/progress_gui.py", line 243, in renderCallback
  File "/usr/lib/anaconda/gui.py", line 950, in handleRenderCallback
OSError: [Errno 2] No such file or directory: '/dev/mapper/vgraid2-root2-1'

Local variables in innermost frame:
dest: /mnt/sysimage/dev/mapper/vgraid2-root2-1
src: /dev/mapper/vgraid2-root2-1
Comment 1 Jeffrey C Honig 2006-12-31 23:34:19 EST
Created attachment 144602 [details]
Traceback from Anaconda exception
Comment 2 Raphael Couto 2007-12-29 00:37:20 EST
Anaconda in FC8 has the same problem.

In my system, there's a software RAID1 and LVM. Going into tty2, I had try to
execute "vgchange -a y" activating the vg, before the last steps of installation
(and I verified, mouting the lv int other directiry). But anaconda appears to
deactivate the VG, before ir try to mount the /:

trying to mount /dev/lvm-raid/lvm00 on /
Comment 3 Wojciech Pilorz 2008-01-07 03:15:14 EST
I had the same problem when installing Fedora 8 on 256 MB box with one IDE disk
(no RAID) and preexisting lvm2 setup which non-default names (GUI install with
custom disk layout option selected)
I had to run loop
while :; do usleep 99000; lvm vgchange -a y; done
on TTY2 before clicking final "Start Installing" (or similarly named) button
to allow the install to success.
The utterly irritating feature of anaconda is that when 
formatting fails (in this case bacuse of anaconda bug)
there is no "Back" option,  only "Reboot", so all selections are lost.
[ Would suggest changing fedora version to 8 ]
Comment 4 Wojciech Pilorz 2008-01-07 03:23:46 EST
Forgot to mention this was new install of Fedora8 rather than upgrade.
It seems anaconda does not tolerate preexising lvm setup;
it runs fine if all used lvm logical volumes are created during
**this** anaconda run.
Comment 5 Bug Zapper 2008-04-04 01:26:01 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2008-05-06 13:16:34 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.